<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CreateLabel Method (IEdmEnumeratorVersion5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorVersion5 Interface : CreateLabel Method (IEdmEnumeratorVersion5)

Visual Basic
C#
C++/CLI

bsName
  Name of label; maximum 255 characters

bsComment
  Label comment; maximum 2000 characters

Sets a label on the latest version of this file.

# Syntax

Visual Basic |
--- | ---

    Function CreateLabel( _
       ByVal bsName As System.String, _
       ByVal bsComment As System.String _
    ) As System.Integer

C# |
--- | ---

    System.int CreateLabel(
       System.string bsName,
       System.string bsComment
    )

C++/CLI |
--- | ---

    System.int CreateLabel(
    &   System.String^ bsName,
    &   System.String^ bsComment
    )

#### Parameters

bsName
  Name of label; maximum 255 characters
bsComment
  Label comment; maximum 2000 characters

#### Return Value

ID of the label

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: An argument is invalid.

# See Also

####

IEdmEnumeratorVersion5 Interface
IEdmEnumeratorVersion5 Members
IEdmFile16::CreateLabel Method ()
IEdmFolder5::CreateLabel Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2